Subject: [Tigers] Tiger elec components with non-factory wiring?

From: Cullen McCann via Tigers <[email-masked]>
Date: Tue, 13 Jan 2015 17:52:19 -0600

Guys, I am interested in using an aftermarket wiring approach for my Mk1a
Tiger, like Painless wiring. I haven't dove into the fundamental design
basics of lucas and jaeger electronics..etc, but if reputation was all I
had to go from, I am expecting it to be complicated.

Can a system with conventional circuit protection, fuses etc like a
painless harness be adapted to all the electrical and instrumentation? Is
there any support out there for that exercise? I want all the original
lenses, bezels, instruments etc but with the technology of aftermarket
street rod style wiring.

As always, thank you!
Cullen
Alpine 260
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]